from pathlib import Path

root = Path('c:/Users/rhodes/projects/proj0015-model-server/resources')
paths = {
    'logs': {
        'session': root / 'logs' / 'session',
    },
    'images': {
        'inbound': root / 'images' / 'inbound',
        'outbound': root / 'images' / 'outbound',
    },
    'ilastik': {
        'projects': root / 'ilastik'
    }
}

for gk in paths.keys():
    for pk in paths[gk].keys():
        paths[gk][pk].mkdir(parents=True, exist_ok=True)

# TODO: consider configuring paths via API, and this just becomes a HTTP client script